Package org.apache.sysds.runtime.compress.colgroup.offset

## Class AOffsetIterator

- java.lang.Object
- - org.apache.sysds.runtime.compress.colgroup.offset.AOffsetIterator

    public abstract class AOffsetIterator
    extends Object

Iterator interface that only iterate through offsets without considering data index.

### Field Summary

Fields
`static org.apache.commons.logging.Log` `LOG`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract int` `next()` Increment the pointer and return the new offset gained
`int` `value()` Get the current index value, note this correspond to a row index in the original matrix.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOG

    public static final org.apache.commons.logging.Log LOG

### Method Detail

#### next

    public abstract int next()

Increment the pointer and return the new offset gained

Returns:
  The new offset.

#### value

    public final int value()

Get the current index value, note this correspond to a row index in the original matrix.

Returns:
  The current value pointed at.